function parameters=clusterHoughSpace(H, rmax, threshhold)
%localize clusters in hough space H using morphological operations.
%threshhold ranges from 0 to 1.

dim=size(H,1)-1;

%apply threshhold
T=H>(max(max(H))*threshhold);
T=imdilate(T, strel('square', 3));
%shrink remaining clusters to points
T=bwmorph(T, 'shrink', Inf);
%T=imregionalmax(H.*T, 8);

%the remaining points each represent the center of a cluster
[X,Y]=find(T);

%now find the maximum of each cluster using a 10x10 neighborhood
% (actually 11x11 because of symmetrical considerations..)
R=zeros(size(X));
Phi=zeros(size(X));
for a=1:size(X)
    x1=X(a)-5; x2=X(a)+5;
    y1=Y(a)-5; y2=Y(a)+5;
    if x1<1, x1=1; end
    if y1<1, y1=1; end
    if x2>size(H,1), x2=size(H,1); end
    if y2>size(H,2), y2=size(H,2); end
    m=max(max(H(x1:x2, y1:y2)));
    [R(a), Phi(a)]=find(H==m);
end

rgrid = -rmax:(2*rmax/dim):rmax;
phigrid = -pi:(2*pi/dim):pi;
phigrid = phigrid(dim/4+10:3*dim/4+10);

for a = 1:size(R)
    r(a)=rgrid(R(a));
    phi(a)=phigrid(Phi(a));
end

[r,ind] = unique(r);
parameters = [r; phi(ind)];