function testProjectionCalibration

%show image
i = im2double(imread('view1.jpg'));
imshow(i);
hold on;

% 3d points
points = 5 * [0, 1, 1; 0,0, 1; 1,0,1; 1,0,0; 0,0,0; 0,1,0];
points = [points, ones(size(points,1),1)];

coord=ginput(6);

M=estimateProjectionMatrix(coord, points)

%one side of the cube
square = [ -0.5 -0.5 0.5; -0.5 0.5 0.5; 0.5 0.5 0.5; 0.5 -0.5 0.5]';
%rest of cube
cube = [-square, square, ...
        [square(2,:) ; square(3,:) ; square(1,:)], ...
        -[square(2,:) ; square(3,:) ; square(1,:)]];

%project some cubes on the chessboard
cube2 = [cube(1,:)+0.5; cube(2,:)+7.5; cube(3,:)+6.5; ones(1, size(cube, 2))];
projectCube(M, cube2);

cube2 = [cube(1,:)+5.5; cube(2,:); cube(3,:)+3.5; ones(1, size(cube, 2))];
projectCube(M, cube2);

cube2 = [cube(1,:); cube(2,:); cube(3,:)+0.5; ones(1, size(cube, 2))];
projectCube(M, cube2);
